<template>
  <div class="workspace-main d-flex flex-grow-1 flex-column">
    <div class="d-flex flex-grow-1 position-relative">
      <layers-panel name="layer-panel"/>
      <locations-panel name="locations-panel"/>
      <date-time-panel name="date-time-panel"/>
      <workspace-map></workspace-map>
    </div>
    <workspace-toolbar/>
    <workspace-query-panel/>
  </div>
</template>

<script>
import { EventBus } from '@/bus'
import { LINK_WORKSPACES } from '@/store'
import WorkspaceProvider from '@/workspace/mixins/WorkspaceProvider'
import WorkspaceTimeMixin from '@/workspace/mixins/WorkspaceTimeMixin'
import WorkspaceMap from '@/workspace/components/map/WorkspaceMap'
import LayersPanel from '@/workspace/components/layers/LayersPanel'
import LocationsPanel from '@/workspace/components/locations/LocationsPanel'
import DateTimePanel from '@/workspace/components/time/DateTimePanel'
import WorkspaceToolbar from '@/workspace/components/toolbar/WorkspaceToolbar'
import WorkspaceQueryPanel from '@/workspace/components/query/WorkspaceQueryPanel'

export default {
  name: 'workspacemain',

  mixins: [
    WorkspaceProvider,
    WorkspaceTimeMixin,
  ],

  components: {
    WorkspaceMap,
    LayersPanel,
    LocationsPanel,
    DateTimePanel,
    WorkspaceToolbar,
    WorkspaceQueryPanel,
  },

  destroyed () {
    EventBus.$emit('reload-map-size', {})
    this.$store.commit(LINK_WORKSPACES, {
      linked: false
    })
  }
}
</script>

<style scoped>
.workspace-main {
  min-width: 50%;
}
</style>
